<ng-container *ngIf="rooms$ | async as rooms">
    <!-- Crear nuevo -->
    <button mr-button class="mr-icon-button" (click)="add()">
        <i class="las la-plus"></i>
    </button>
    <ng-container *ngIf="rooms.length else empty">
        <!-- Filter rooms -->
        <div class="filter">
            <i class="las la-search"></i>
            <input
            [(ngModel)]="query"
            placeholder="Filtrar resultados..."
            type="text">
        </div>
        <!-- Room list -->
        <ul class="room-list">
            <li *ngFor="let room of rooms | arrayFilter:query:'id'">
                <a [routerLink]="'/inbox/' + room.id"
                routerLinkActive="active"
                class="room-brief"
                [class.updates]="room.newMessages">
                    <div class="avatar">
                        <mr-image [avatar]="room.id"></mr-image>
                        <mr-blinking-dot *ngIf="room.newMessages"></mr-blinking-dot>
                    </div>
                    <div class="room-info">
                        <mr-dropdown transformOrigin="top right">
                            <ul>
                                <li (click)="remove(room.id)">Eliminar chat</li>
                            </ul>
                        </mr-dropdown>

                        <div class="title">
                            <h5>{{ room.id }}</h5>
                            <time>{{ room.lastUpdated | date: 'dd/MM/yyyy' }}</time>
                        </div>

                        <p *ngIf="!room.nowTyping" class="last-message">{{ room.lastMessage }}</p>
                        <p *ngIf="room.nowTyping" class="now-typing">escribiendo</p>
                    </div>
                </a>
            </li>
        </ul>
    </ng-container>
    <ng-template #empty>
        <mr-empty icon="las la-user-friends"
        message="No has iniciado ningún chat. Haz click en el botón con el símbolo '+' para iniciar un chat con uno de tus amigos">
        </mr-empty>
    </ng-template>
</ng-container>
